import request from '../../utils/request'

export function getPersonBaseinfo(data) {
  return request({
    url: '/siInjury/getPersonBaseinfo',
    method: 'post',
    data,
  })
}

export function admissRegistration(data) {
  return request({
    url: '/siInjury/admissRegistration',
    method: 'post',
    data,
  })
}

export function modifyAdmissionInfo(data) {
  return request({
    url: '/siInjury/modifyAdmissionInfo',
    method: 'post',
    data,
  })
}

export function uploadInjuryFees(data) {
  return request({
    url: '/siInjury/uploadFees',
    method: 'post',
    data,
  })
}

export function cancelInjuryRegister(data) {
  return request({
    url: '/siInjury/cancelRegister',
    method: 'post',
    data,
  })
}

export function getInjuryRegisterInfo(data) {
  return request({
    url: '/siInjury/getRegisterInfo',
    method: 'post',
    data,
  })
}

export function cancelInjuryFee(data) {
  return request({
    url: '/siInjury/cancelUploadFee',
    method: 'post',
    data,
  })
}

export function injuryPrecal(data) {
  return request({
    url: '/siInjury/preCalculateCost',
    method: 'post',
    data,
  })
}

export function injurySettlement(data) {
  return request({
    url: '/siInjury/calculateCost',
    method: 'post',
    data,
  })
}

export function revokeInjurySettlement(data) {
  return request({
    url: '/siInjury/cancelCalculate',
    method: 'post',
    data,
  })
}
